Bug 1122805 - Once designer in business-central saves bpmn2 file which uses I18n for an annotation name, those characters are garbled
Summary: Once designer in business-central saves bpmn2 file which uses I18n for an ann...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: DR2
: 6.3.0
Assignee: Tihomir Surdilovic
QA Contact: Kirill Gaevskii
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 06:47 UTC by ksuzumur
Modified: 2018-12-06 17:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description ksuzumur 2014-07-24 06:47:33 UTC
Description of problem:
Once designer in business-central saves bpmn2 file which uses I18n for an annotation name, those characters are garbled.

Steps to Reproduce:
1: Start bpms
2: Create a business process with an annotation name is Japanese (ex: 日本語)
3: Save process
4: Shutdown bpms
5: Start bpms
6: Open the business process by designer


Actual results:
Annotation name is garbled.

Expected results:
Annotation name is displayed correctly.

Additional info:

Comment 2 Jeremy Lindop 2016-02-11 10:33:22 UTC
This is fixed in bpms 6.2.0_GA, as is the related case https://bugzilla.redhat.com/show_bug.cgi?id=1122342

Comment 3 Kirill Gaevskii 2016-03-03 12:14:32 UTC
Windows specific bug 1276634 is still valid, new Windows specific bug 1314322 filed.


Note You need to log in before you can comment on or make changes to this bug.